Page MenuHomePhabricator

Results page - indicate review decisions
Closed, ResolvedPublic5 Estimated Story Points

Description

As a mismatch reviewer
I want to indicate my decision for a mismatch
in order to later mark the mismatch as resolved so no other reviewer will spend time on this mismatch

Problem:
We need to enable reviewers to indicate if the issue was on Wikidata, the other database or neither.
We don't submit the decision yet ! That follows in the next story

Screenshots/mockups:
Link to Figma.

Screenshot 2021-09-21 at 17.30.26.png (476×1 px, 67 KB)

Screenshot 2021-09-21 at 17.30.35.png (470×1 px, 75 KB)

Screenshot 2021-09-21 at 17.30.50.png (460×1 px, 74 KB)

Screenshot 2021-09-21 at 17.31.08.png (480×1 px, 69 KB)

BDD
GIVEN a mismatch
WHEN reviewing it in the results page
THEN I can indicate where the problem was by selecting from a dropdown

Acceptance criteria:

  • reviewers can indicate where the issue causing the mismatch was by selecting options from a dropdown

Notes

  • This ticket does not include the submission of the review decision (when clicking "Apply changes"). It was broken down in T290822

Related Objects

StatusSubtypeAssignedTask
OpenItamarWMDE
ResolvedLydia_Pintscher
ResolvedItamarWMDE
ResolvedItamarWMDE
ResolvedLydia_Pintscher
ResolvedSilvan_WMDE
Resolvedguergana.tzatchkova
ResolvedSilvan_WMDE
ResolvedLydia_Pintscher
ResolvedItamarWMDE
Resolvedguergana.tzatchkova
ResolvedItamarWMDE
InvalidItamarWMDE
ResolvedItamarWMDE
Resolvedguergana.tzatchkova
ResolvedItamarWMDE
ResolvedItamarWMDE
OpenSilvan_WMDE

Event Timeline

Lydia_Pintscher renamed this task from Results page - indicate review decisions to Results page - indicate and submit review decisions.Aug 27 2021, 9:51 AM
Lydia_Pintscher renamed this task from Results page - indicate and submit review decisions to Results page - indicate review decisions.Sep 12 2021, 1:58 PM
Lydia_Pintscher updated the task description. (Show Details)
karapayneWMDE set the point value for this task to 5.Tue, Sep 28, 2:07 PM

Notes from task breakdown:

  • use Wikit Dropdown component
  • try to see if the v-model attribute works
  • if not, add an event listener for the input event
  • in any case: make sure that mismatches on the page are updated
  • use a unit test on the Results page to test that the model the dropdown is bound to, actually changes
  • test e2e behaviour with browser tests (user can select values, no submitting yet)

--> no subtasks to be created from this story

Approved from my side. @Lydia_Pintscher please take a look and resolve it if it looks good from your side.